<?php


namespace App\ViewModels\TipoProcedimento\TipoProcedimentoUpdateViewModel;

use App\Utils\Builder;

class TipoProcedimentoUpdateViewModelBuilder implements Builder
{

    protected $descricao;

    public function setDescricao(string $descricao) : TipoProcedimentoUpdateViewModelBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : TipoProcedimentoUpdateViewModel
    {
        $tipo_procedimento_registration_vm = New TipoProcedimentoUpdateViewModel();
        $tipo_procedimento_registration_vm->setDescricao($this->descricao);
        return $tipo_procedimento_registration_vm;
    }


}